## sgf2dg 4.252

=== tex/Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
-# $Id: Makefile 35 2005-01-22 02:36:46Z reid $
 #
-#       Makefile for sgf2tex/tex subdirectory.  This Makefile installs the TeX
-#       portions of the sgf2tex distribution: the GOOE fonts, font metrics,
+#       Makefile for sgf2dg/tex subdirectory.  This Makefile installs the TeX
+#       portions of the sgf2dg distribution: the GOOE fonts, font metrics,
 #       and TeX include files.
 #
 
 
-# During 'perl Makefile.PL' in the parent (sgf2tex) directory, the section
-# below between the '# perl Makefile.PL auto-edit' and '# perl Makefile.PL
-# auto-edit end' comments is completely deleted and rebuilt.
+# During 'perl Makefile.PL' in the parent (sgf2dg) directory, the section
+# below between the 'start perl Makefile.PL auto-edit' and 'end perl Makefile.PL
+# auto-edit' comments is completely deleted and rebuilt.
 #
 # You can override the variables by either changing the values 'perl
 # Makefile.PL' put in the auto-edit section (temporary - overwritten the next
@@ -42,7 +41,7 @@
 # If you make certain types of modifications to the fonts, the .tfm files
 # might change.  If you are getting checksum errors, you should delete any
 # cached .tfm files. Most font modifications you are likely to make to the
-# sgf2tex fonts are not likely to change the .tfm files.
+# GOOE fonts are not likely to change the .tfm files.
 #
 
 .SUFFIXES : .mf .tfm .300pk .360pk .432pk .600pk .720pk .864pk .300gf .360gf .432gf .600gf .720gf .864gf
@@ -73,27 +72,40 @@
 # when called as 'make' or 'make all', we don't want anything to happen:
 make: all
 
+all:
+
 # After installing fonts, we need to run MakeTeXls-R for WEB2C Unix
 # distribution, or texhash for TETEX, or nothing for NTEX.  Since we don't
 # know what our distribution is, we'll just try texhash and then MakeTeXls-R
 # (with the '-' in front so make doesn't choke if the command isn't there)
 install:
 	rm -f $(PKFONTS)
-	- mkdir $(MFDIR)
+	- $(MKDIR) $(MFDIR)
 	$(INSTALL) *.mf $(MFDIR)
-	- mkdir $(TFMDIR)
+	- $(MKDIR) $(TFMDIR)
 	$(INSTALL) *.tfm $(TFMDIR)
 	$(INSTALL) gooemacs.tex gotcmacs.tex $(TEXINPUTS)
 	- texhash
 	- MakeTeXls-R
 
+# clean installed fonts
+clean:
+	- $(RM) $(TEXINPUTS)/gooemacs.tex $(TEXINPUTS)/gotcmacs.tex
+	- $(RM) $(TFMDIR)/*.tfm
+	- $(RMDIR) $(TFMDIR)
+	- $(RM) $(MFDIR)/*.mf
+	- $(RMDIR) $(MFDIR)
+	- $(RM_F) $(PKFONTS)
+	- texhash
+	- MakeTeXls-R
+
 # The preferred method of installation is just to copy the metafont sources
-# and tfm files into appropriated directories in MakeTeXPK's search path. The
-# required pk fonts will be then built automatically by the system. In an
-# emergency, you can build the fonts by hand with `make -f Makefile.tex
-# fonts'. This might be appropriate if (for example) you are working on a
-# machine where you do not have superuser privileges, or if you are working on
-# a DOS port.
+# and tfm files into appropriated directories in MakeTeXPK's search path.
+# The required pk fonts will be then built automatically by the system. In
+# an emergency, you can build the fonts by hand with `make -f fonts'.  This
+# might be appropriate if (for example) you are working on a machine where
+# you do not have superuser privileges, or if you are working on a DOS
+# port.
 
 fonts: $(FONTS)
 
@@ -116,22 +128,22 @@
 	mf "\mode=ljfour; mag=1.44; input $*"
 
 .300gf.300pk :
-	gftopk gooegb.300gf
+	gftopk $*.300gf
 
 .360gf.360pk :
-	gftopk gooegb.360gf
+	gftopk $*.360gf
 
 .432gf.432pk :
-	gftopk gooegb.432gf
+	gftopk $*.432gf
 
 .600gf.600pk :
-	gftopk gooegb.600gf
+	gftopk $*.600gf
 
 .720gf.720pk :
-	gftopk gooegb.720gf
+	gftopk $*.720gf
 
 .864gf.864pk :
-	gftopk gooegb.864gf
+	gftopk $*.864gf
 
 .300pk.tfm :
