=== debian/changelog ===
sgf2dg (4.252-3) unstable; urgency=medium

  [ Santiago Vila ]
  * Fix clean target. Closes: #1045266.

  [ Vincent Danjean ]
  * No need of Rules-Requires-Root field with default value
  * Point to specific GPL version in copyright file
  * Add lintian override for false positives

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 02 Mar 2026 14:01:14 +0100

sgf2dg (4.252-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain package in Debian team on Salsa
  * Fix Homepage
    Closes: #1082214
  * d/watch: version=5
  * Remove debian/README.source since redundant
  * d/copyright:
     - DEP5
     - Review
  * debhelper-compat (= 13)
  * cme fix dpkg-control
  * Fix clean target
    Closes: #1045266
  * Fix some syntax issues to make autopkgtest pass

  [ Vincent Danjean ]
  * Merge previous git history with salsa imported one
  * Add gbp config
  * Add dependency for autopkgtest
  * Doc in pdf instead of dvi

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 01 Mar 2026 22:41:34 +0100

sgf2dg (4.252-1) unstable; urgency=medium

  * New upstream release (Closes: #505433)
  * Cleanup packaging (Closes: #941548)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 28 Oct 2019 00:44:51 +0100

sgf2dg (4.221-1) unstable; urgency=low

  * New upstream release
  * [debian/watch] point to CPAN
  * Convert to dh9
  * Convert to 30. (quilt) source format

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Jun 2012 13:12:56 +0200

sgf2dg (4.026-10) unstable; urgency=low

  * [debian/control] bump to Standards-Version 3.8.3 (no change required)
  * Add missing build dependency to tex-common (Closes: #553575)
  * Fix typo in manpages
  * Add a README.source for quilt
  * Cleanup source files

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 01 Nov 2009 10:18:16 +0100

sgf2dg (4.026-9) unstable; urgency=low

  * update patch to t/Dg2Tk.t to skip tests if DISPLAY is defined but null
    (should fix FTBFS on some autobuilder)
  * [debian/control] bump to Standards-Version 3.7.3 (no change required)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 10 Jan 2008 07:59:47 +0100

sgf2dg (4.026-8) unstable; urgency=low

  * [debian/control]
      + update build-depends
        - remove tetex
        - add libpdf-create-perl, libpostscript-file-perl, and
          perl-tk for checks
      + add Homepage: field (and remove this info from the Description)
  * patch t/Dg2Tk.t to skip tests if no X display is defined (Closes: #450466)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 07 Nov 2007 16:25:09 +0100

sgf2dg (4.026-7) unstable; urgency=low

  * [debian/control]
      + update maintainer name
      + rewrite build-depends (texlive transition) (Closes: #421090)
      + etch is there: remove transitional package

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 26 Apr 2007 14:48:21 +0200

sgf2dg (4.026-6) unstable; urgency=low

  * [debian/control] transitional package sgf2tex should be arch:all
    Thanks Niko Tyni (Closes: #385711)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  5 Sep 2006 15:12:53 +0200

sgf2dg (4.026-5) unstable; urgency=low

  * [debian/copyright] add copyright for Debian packaging

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 00:43:34 +0200

sgf2dg (4.026-4) unstable; urgency=low

  * [debian/compat] debhelper compat version dumped to 5
  * [debian/control] Standard-Version set to 3.7.2 (no changes required)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 14 May 2006 21:30:04 +0200

sgf2dg (4.026-3) unstable; urgency=low

  * Initial release. (Closes: #361155: ITP: sgf2dg -- Creates TeX files
    from Go game records)
  * Takeover sgf2tex and creating a transitional package
    New maintainer. (Closes: #360327: ITA: sgf2tex -- Creates TeX files
    from Go game records - Debian Bug report logs)
    (Closes: #323577: sgf2tex: new upstream release)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 12 Apr 2006 11:19:52 +0200

sgf2dg (4.026-2) unstable; urgency=low

  * Add the manual in the documentation directory

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri,  7 Apr 2006 02:01:04 +0200

sgf2dg (4.026-1) unstable; urgency=low

  * Initial packaging

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri,  7 Apr 2006 01:05:15 +0200
