=== debian/control ===
Source: sgf2dg
Standards-Version: 4.7.3
Maintainer: Vincent Danjean <vdanjean@debian.org>
Section: tex
Build-Depends:
 debhelper-compat (= 13),
 texlive-plain-generic,
 libpdf-create-perl,
 libpostscript-file-perl,
 perl-tk,
 libfile-slurp-perl,
Vcs-Browser: https://salsa.debian.org/debian/sgf2dg
Vcs-Git: https://salsa.debian.org/debian/sgf2dg.git
Homepage: https://metacpan.org/dist/Games-Go-Sgf2Dg

Package: sgf2dg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 libpdf-create-perl,
 libpostscript-file-perl,
Breaks:
 sgf2tex (<< 4.00),
Replaces:
 sgf2tex (<< 4.00),
Description: Converts Smart Go Format (SGF) files to Go diagrams
 Go is a board game from Eastern Asia and TeX is a program for
 typesetting.  sgf2dg converts Go game records in smart-go format (SGF)
 into TeX files.  You can produce camera-ready copies for books or
 magazines, or simply generate attractive printouts of your (internet)
 Go games.
 .
 sgf2dg includes the Metafont sources for a new set of Go fonts, and a
 script, sgf2dg (formerly sgf2tex), which translates files in sgf-format
 into TeX.
