=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs --keep debian/changelog-sgf2tex.Debian

override_dh_missing:
	dh_missing --fail-missing
