=== debian/watch ===
Version: 5

Source: https://www.cpan.org/modules/by-module/Games/
Matching-Pattern: Games-Go-Sgf2Dg-@ANY_VERSION@@ARCHIVE_EXT@
